#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
    demeter database
    name:farm_env.py
    author:rabin
"""
from __load__ import *

class Farm_env(Model):
	__table__ = 'farm_env'
	__comment__ = '园区环境表'
	id = Fields(type='uuid', primaryKey=True, comment='环境ID', uuid='farm_id')
	farm_id = Fields(type='int', default='setting.farm', comment='园区ID', match='not')
	name = Fields(type='varchar(50)', comment='环境名')
	device_id = Fields(type='uuid', comment='设备id')
	type_id = Fields(type='int', comment='设备类型')
	inorder = Fields(type='int', default='0', comment='排序', match='number|排序必须是数字')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')